<?php

namespace ThurData\Servers\KerioEmail\Core\UI\Traits;

/**
 * Icons related functions
 *
 * @autor ThurData <info@thurdata.ch>
 */
trait HideByDefaultIfNoData
{
    protected $hideByDefaultIfNoData = false;

    public function setHideByDefaultIfNoData()
    {
        $this->hideByDefaultIfNoData = true;
        
        return $this;
    }
    
    public function unsetHideByDefaultIfNoData()
    {
        $this->hideByDefaultIfNoData = false;
        
        return $this;
    }
    
    public function isHideByDefaultIfNoData()
    {
        return $this->hideByDefaultIfNoData;
    }
}
